Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06121 Crash/Freeze Minor Always Jan 2, 2016, 16:23 Apr 2, 2022, 04:07
Tester M.A.S.H. View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver
Version 0.169 Fixed in Version 0.227 Build
Fixed in Git Commit Github Pull Request #
Summary 06121: konamigx: System GX BIOS crashed
Description The Konami System GX BIOS crashed shortly after OK since MAME 0.169.
The BIOS didn't also display the scrolling 'Warning' text .
Steps To Reproduce
Additional Information Exception at EIP=02634AD4 (cheat_manager::render_text(render_container&)+0x0034): ACCESS VIOLATION
While attempting to read memory at 0000005B
-----------------------------------------------------
EAX=FFFFFFFF EBX=00000000 ECX=FFFFFFFF EDX=000000FF
ESI=0E7F72FC EDI=0E7F72C8 EBP=0022CDF8 ESP=0022CDA0
-----------------------------------------------------
Stack crawl:
  0022CDF8: 02634AD4 (cheat_manager::render_text(render_container&)+0x0034)
  0022CE78: 025B2DB5 (ui_manager::update_and_render(render_container*)+0x0075)
  0022CED8: 025D6B27 (video_manager::frame_update(bool)+0x0037)
  0022CEF8: 0259EB5D (screen_device::vblank_end()+0x00fd)
  0022CF48: 0259FC45 (screen_device::device_timer(emu_timer&, unsigned int, int, void*)+0x0345)
  0022CFB8: 0259B6F6 (device_scheduler::timeslice()+0x00f6)
  0022D008: 0255D4E7 (running_machine::run(bool)+0x0157)
  0022FAF8: 025585DC (machine_manager::execute()+0x021c)
  0022FC48: 024AC136 (cli_frontend::execute(int, char**)+0x08a6)
  0022FEC8: 014D3908 (utf8_main(int, char**)+0x0178)
  0022FEF8: 02972461 (wmain+0x0071)
  0022FFC0: 00401400 (__tmainCRTStartup+0x0280)
  0022FFF0: 7C816FD7 (RegisterWaitForInputIdle+0x0049)
Github Commit
Flags
Regression Version 0.169
Affected Sets / Systems konamigx
Attached Files
 
Relationships
has duplicate 06726Closed Segmentation fault at BIOS start 
Notes
7
User avatar
No.12317
Robbbert
Senior Tester
Jan 3, 2016, 00:27
Confirmed.

If game info is turned off, it crashes at start.

If game info is turned on, it crashes on exit.
User avatar
No.12329
Osso
Developer
Jan 6, 2016, 11:17
debug build gives a more useful stack:

Program received signal SIGSEGV, Segmentation fault.
0x00007ffb5c9b3e87 in msvcrt!memset () from C:\Windows\system32\msvcrt.dll
(gdb) bt 10
#0 0x00007ffb5c9b3e87 in msvcrt!memset () from C:\Windows\system32\msvcrt.dll
#1 0x000000000095d160 in konamigx_state::wipezbuf(int) ()
#2 0x0000000000960cd0 in konamigx_state::konamigx_mixer(screen_device&, bitmap_rgb32&, rectangle const&, tilemap_t*, int, tilemap_t*, int, int, bitmap_ind16*, int) [clone .constprop.83] ()
#3 0x000000000096289f in konamigx_state::screen_update_konamigx(screen_device&, bitmap_rgb32&, rectangle const&) ()
#4 0x0000000002b3b0bd in screen_device::update_partial(int) ()
#5 0x0000000002b7ec9f in video_manager::finish_screen_updates() ()
#6 0x0000000002b80a41 in video_manager::frame_update(bool) ()
#7 0x0000000002b3c3ac in screen_device::vblank_end() ()
#8 0x0000000002b3dad5 in screen_device::device_timer(emu_timer&, unsigned int, int, void*) ()
#9 0x0000000002b38563 in device_scheduler::timeslice() ()
(More stack frames follow...)
(gdb) quit
A debugging session is active.
User avatar
No.12330
Osso
Developer
Jan 6, 2016, 15:53
Bumping GX_ZBUFW and GX_ZBUFH to 1024 in mame/video/k053246_k053247_k055673.h, as it was done for MCFG_SCREEN_SIZE in mame/drivers/konamigx.cpp, works around the problem.
User avatar
No.12862
B2K24
Moderator
Jun 30, 2016, 06:04
This set doesn't crash for me and the issue history states that it was fixed. Was it left in Confirmed status by mistake?
User avatar
No.12865
Osso
Developer
Jun 30, 2016, 08:16
It still crashes here when exiting the emulation via the "Esc" key.
User avatar
No.16682
Robbbert
Senior Tester
Jul 20, 2019, 14:09
There's a sliding message about the sub board and mother board not talking.

It may randomly crash with a row of dashes at any time, even in pause. Then the next time it might just keep on working.

It does crash the same way when Esc is pressed.
User avatar
No.19980
M.A.S.H.
Senior Tester
Apr 2, 2022, 04:07
Fixed in MAME 0.227. But could not find the Git commit that it has fixed!